#include <zombie_escape>
#include <ze_multijump>

// Variables
new g_iItemid, bool:g_bBought[33]
 
public plugin_init()
{
	register_plugin("[ZE] Extra Item: Multijump", "1.0", "JaCk")
	
	// Register Our Item
	g_iItemid = ze_register_item("Multi-Jump", 50, 0)

	// Events
	register_event("HLTV", "New_Round", "a", "1=0", "2=0")
}

public New_Round()
{
	for (new id = 1; id <= get_member_game(m_nMaxPlayers); id++)
	{
		if (!is_user_connected(id))
			continue
		
		g_bBought[id] = false
	}
}

public ze_select_item_pre(id, itemid, ignorecost)
{
	if(itemid != g_iItemid)
		return ZE_ITEM_AVAILABLE;
       
	if(!ze_is_user_zombie(id))
		return ZE_ITEM_DONT_SHOW;
       
	if(g_bBought[id])
		return ZE_ITEM_UNAVAILABLE;

	return ZE_ITEM_AVAILABLE;
}
 
public ze_select_item_post(player, itemid, ignorecost)
{
    if(itemid != g_iItemid)
        return;
       
    ze_give_user_multijump(player)
    g_bBought[player] = true
    ze_colored_print(player, "!tNow!y, !tyou can jump !g2x !ttimes in the air!y.")
}